<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: Class Members - Variables</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a id="index_a"></a>- a -</h3><ul>
<li>ABORT
: <a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_get_mime_headers_result.html#a8e833353399b94886a91e1615b4cff51">alexaClientSDK::avsCommon::utils::http2::HTTP2GetMimeHeadersResult</a>
, <a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_send_data_result.html#a63218389c2768fe5d449a914a0b0663e">alexaClientSDK::avsCommon::utils::http2::HTTP2SendDataResult</a>
</li>
<li>accessToken
: <a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_adapter_session_state.html#a5f065d3ffd81b087d9175261ed7db971">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::AdapterSessionState</a>
</li>
<li>active
: <a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_adapter_session_state.html#ae74fd548f8c89a355de841ee331a9a74">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::AdapterSessionState</a>
</li>
<li>activeAlerts
: <a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_scheduler_1_1_alerts_context_info.html#a0304d85a221206384280bb33244c58d8">alexaClientSDK::capabilityAgents::alerts::AlertScheduler::AlertsContextInfo</a>
</li>
<li>albumId
: <a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_adapter_playback_state.html#ac0b9ec43b8e7e231bd842c3b886573cc">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::AdapterPlaybackState</a>
</li>
<li>albumName
: <a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_adapter_playback_state.html#a144a0f1a33bf2ff86bd9931936542eda">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::AdapterPlaybackState</a>
</li>
<li>ALERT_CHANNEL_NAME
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_focus_manager_interface.html#a2ee65065d0810098cab8d52b06335104">alexaClientSDK::avsCommon::sdkInterfaces::FocusManagerInterface</a>
</li>
<li>ALERT_CHANNEL_PRIORITY
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_focus_manager_interface.html#ae74caa3e3eee3728216cc95462c07d9c">alexaClientSDK::avsCommon::sdkInterfaces::FocusManagerInterface</a>
</li>
<li>alertsClient
: <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_focus_manager_test.html#ae2d2138262f0e83ff1d19fa12a9c6fd0">alexaClientSDK::afml::test::FocusManagerTest</a>
</li>
<li>alwaysReadable
: <a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_provider.html#a04d5828dec4f7727bcd7d26818915bf3">alexaClientSDK::capabilityAgents::aip::AudioProvider</a>
</li>
<li>anotherDialogClient
: <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_focus_manager_test.html#ae8504f274e1ebfefeb0290b262256d1a">alexaClientSDK::afml::test::FocusManagerTest</a>
</li>
<li>artistId
: <a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_adapter_playback_state.html#aee7622c16d52b630aec3f74adad693e8">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::AdapterPlaybackState</a>
</li>
<li>artistName
: <a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_adapter_playback_state.html#a4d70b5852601a203bfd0da4622652737">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::AdapterPlaybackState</a>
</li>
<li>asset
: <a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notification_indicator.html#ab559317b04615b6b7406eeee7a70c068">alexaClientSDK::capabilityAgents::notifications::NotificationIndicator</a>
</li>
<li>assetConfiguration
: <a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_1_1_static_data.html#a590a0e31538a592aebeb4689ea3c4191">alexaClientSDK::capabilityAgents::alerts::Alert::StaticData</a>
</li>
<li>assetId
: <a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notification_indicator_1_1_asset.html#a321a071ca493fe8d10e20db07753a8f5">alexaClientSDK::capabilityAgents::notifications::NotificationIndicator::Asset</a>
</li>
<li>assetPlayOrderItems
: <a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_1_1_asset_configuration.html#a7ca45e592a1f1aeaaa58f70143ea98bd">alexaClientSDK::capabilityAgents::alerts::Alert::AssetConfiguration</a>
</li>
<li>assets
: <a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_1_1_asset_configuration.html#a2de119b8b1441ced208b209335cce58d">alexaClientSDK::capabilityAgents::alerts::Alert::AssetConfiguration</a>
</li>
<li>ATTACHMENT_MANAGER_TIMOUT_MINUTES_DEFAULT
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_manager.html#a3beb279fd85d9e6c3142344b6bd16a8d">alexaClientSDK::avsCommon::avs::attachment::AttachmentManager</a>
</li>
<li>ATTACHMENT_MANAGER_TIMOUT_MINUTES_MINIMUM
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_manager.html#a805f18281d78596131757329e146fedc">alexaClientSDK::avsCommon::avs::attachment::AttachmentManager</a>
</li>
<li>attachMutex
: <a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1_shared_data_stream_1_1_buffer_layout_1_1_header.html#ad9c58a23ce109bae85010a906f4b30a1">alexaClientSDK::avsCommon::utils::sds::SharedDataStream&lt; T &gt;::BufferLayout&lt; T &gt;::Header</a>
</li>
<li>audioItemId
: <a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_audio_player_observer_interface_1_1_context.html#ae540777a29d7a7e93cd7f5c6ab9d28b6">alexaClientSDK::avsCommon::sdkInterfaces::AudioPlayerObserverInterface::Context</a>
</li>
<li>audioPlayerState
: <a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_template_runtime_observer_interface_1_1_audio_player_info.html#afd5543f3c42e55066aa0427b1fcecc74">alexaClientSDK::avsCommon::sdkInterfaces::TemplateRuntimeObserverInterface::AudioPlayerInfo</a>
</li>
<li>AVS_ENDPOINT
: <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_message_router_test.html#a01544183e62a9375553e7c689fc6e4eb">alexaClientSDK::acl::test::MessageRouterTest</a>
</li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
